"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _helperPluginUtils() {
  var data = require("@babel/helper-plugin-utils");

  _helperPluginUtils = function _helperPluginUtils() {
    return data;
  };

  return data;
}

function _presetStage() {
  var data = _interopRequireDefault(require("@babel/preset-stage-2"));

  _presetStage = function _presetStage() {
    return data;
  };

  return data;
}

function _pluginProposalDecorators() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-decorators"));

  _pluginProposalDecorators = function _pluginProposalDecorators() {
    return data;
  };

  return data;
}

function _pluginProposalExportDefaultFrom() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-export-default-from"));

  _pluginProposalExportDefaultFrom = function _pluginProposalExportDefaultFrom() {
    return data;
  };

  return data;
}

function _pluginProposalLogicalAssignmentOperators() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-logical-assignment-operators"));

  _pluginProposalLogicalAssignmentOperators = function _pluginProposalLogicalAssignmentOperators() {
    return data;
  };

  return data;
}

function _pluginProposalOptionalChaining() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-optional-chaining"));

  _pluginProposalOptionalChaining = function _pluginProposalOptionalChaining() {
    return data;
  };

  return data;
}

function _pluginProposalPipelineOperator() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-pipeline-operator"));

  _pluginProposalPipelineOperator = function _pluginProposalPipelineOperator() {
    return data;
  };

  return data;
}

function _pluginProposalNullishCoalescingOperator() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-nullish-coalescing-operator"));

  _pluginProposalNullishCoalescingOperator = function _pluginProposalNullishCoalescingOperator() {
    return data;
  };

  return data;
}

function _pluginProposalDoExpressions() {
  var data = _interopRequireDefault(require("@babel/plugin-proposal-do-expressions"));

  _pluginProposalDoExpressions = function _pluginProposalDoExpressions() {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = (0, _helperPluginUtils().declare)(function (api, opts) {
  api.assertVersion(7);
  var loose = false;
  var useBuiltIns = false;

  if (opts !== undefined) {
    if (opts.loose !== undefined) loose = opts.loose;
    if (opts.useBuiltIns !== undefined) useBuiltIns = opts.useBuiltIns;
  }

  if (typeof loose !== "boolean") {
    throw new Error("@babel/preset-stage-1 'loose' option must be a boolean.");
  }

  if (typeof useBuiltIns !== "boolean") {
    throw new Error("@babel/preset-stage-1 'useBuiltIns' option must be a boolean.");
  }

  return {
    presets: [[_presetStage().default, {
      loose: loose,
      useBuiltIns: useBuiltIns
    }]],
    plugins: [_pluginProposalDecorators().default, _pluginProposalExportDefaultFrom().default, _pluginProposalLogicalAssignmentOperators().default, [_pluginProposalOptionalChaining().default, {
      loose: loose
    }], _pluginProposalPipelineOperator().default, [_pluginProposalNullishCoalescingOperator().default, {
      loose: loose
    }], _pluginProposalDoExpressions().default]
  };
});

exports.default = _default;